## shotwell 0.24.5

=== debian/changelog ===
shotwell (0.24.5-0mx15+1) mx; urgency=medium

  * New upstream bugfix release:
    - Publishing: Use HTTPS consistently
    - Updated translations

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Feb 2017 18:48:13 -0800

shotwell (0.24.4-0mx15+1) mx; urgency=medium

  * New upstream bugfix release:
    - Piwigo: Fix title and comments for uploaded images
    - Fix icon file name for Serbian and Korean
    - Improved duplicate detection

   Bugs fixed in this release:
   - https://bugzilla.gnome.org/show_bug.cgi?id=718107
   - https://bugzilla.gnome.org/show_bug.cgi?id=775196
   - https://bugzilla.gnome.org/show_bug.cgi?id=776664

   Added/updated translations
   - es, courtesy of Daniel Mustieles
   - ko, courtesy of Kim Boram
   - sk, courtesy of Dušan Kazik
   - sr, courtesy of Мирослав Николић
   - sr@latin, courtesy of Miroslav Nikolić

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Jan 2017 15:16:48 -0800

shotwell (0.24.3-0mx15+1) mx; urgency=medium

  * New upstream release:
    - Fix issue with unique constraint on Photo database table.
    - Updated translations.

    - Bugs fixed in this release:
      - https://bugzilla.gnome.org/show_bug.cgi?id=772223

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Dec 2016 14:45:54 -0800

shotwell (0.24.2-0mx15+1) mx; urgency=medium

  * New upstream bugfix release:
    - Blacklist vaapi decoder to prevent crash when discovering videos in
      parallel.
    - Remove paranthesis that will break newer vala compiler.
    - Fix a double close() in thumbnailer.
    - Only enable SQL debugging if the variable is really set.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Nov 2016 17:15:10 -0800

shotwell (0.24.1-0mx15+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Oct 2016 14:35:49 -0700

shotwell (0.24.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * debian/control:
    - Revert debhelper B-D minimum version to 9.
    - Add alternative Depends for shotwell binary package: dbus-x11 to
      default-dbus-session-bus | dbus-session-bus.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Oct 2016 20:33:50 -0700

shotwell (0.24.0-1) unstable; urgency=medium

  * New upstream release (Closes: #824164, #825788).
    - Fix inconsistent licensing metadata in icons/rejected.svg
      (Closes: #800902).
    - Fix crashes when opening files with external editor
      (Closes: #806248).
    - Fix scrollbars disappearing when resizing main window
      (Closes: #823835).
    - Install private executables shotwell-settings-migrator and
      shotwell-video-thumbnailer into /usr/lib/shotwell
      (Closes: #833236).
  * debian/control:
    - Add itstool to Build-Depends.
    - Bump debhelper B-D minimum version to 10.
    - Bump libgee-0.8 B-D minimum version to 0.10.
    - Switch Depends for shotwell binary package from dbus-x11 to
      default-dbus-session-bus | dbus-session-bus (Closes: #836046).
  * debian/copyright:
    - Add Software Freedom Conservancy Inc.
  * debian/manpages:
    - Rename to debian/shotwell.manpages and use the
      manpage supplied upstream.
  * debian/patches:
    - New 0600-remove_wrong_marco.patch to remove the wrong macro 'R'.
    - Refresh patches.
    - Drop patches applied upstream:
      + 0001-buildflags.patch
      + 0005-hardening.patch
      + 0500-Port-to-webkit2gtk-40.patch
      + 0501-Dont-pack-webview-into-a-scrolled-window.patch
      + 0502-Have-all-soup-sessions-validate-TLS-certificates.patch
      + 0503-facebook-Dont-disable-XSS-auditor.patch
  * debian/rules:
    - Make build reproducible (Closes: #822948):
      + Fix date handling for non-English locales.
      + Fix files mode in temp-source tarball.
      Thanks to Alexis Bienvenüe <pado@passoire.fr>.
    - Remove unwanted .la files.
  * debian/shotwell-common.postrm:
    - New script to rebuild icon cache after purge and remove with
      a test that gtk-update-icon-cache exists and is executable.
  * debian/shotwell.install:
    - Remove missing apport/shotwell.py.
  * debian/shotwell-common.install:
    - Remove now redundant installation of manpage.
  * debian/watch:
    - Rewrite regular expression.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 21 Sep 2016 22:31:48 +0200

shotwell (0.22.1-1) unstable; urgency=medium

  * New upstream release.
    - Update translations.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Correct Vcs-Git URI.
    - Improve package description (Closes: #818671).
    - Drop the following fields because even oldstable has 0.12.3-2~:
      + Breaks: shotwell (<< 0.12.3-1)
      + Replaces: shotwell (<< 0.12.3-1)
  * Set compat level to 10 (no changes required).
  * Correct typo at shotwell-dbg.README.Debian.
  * debian/rules:
    - Touch generated C files with mtime of debian/changelog to ensure
      the mtime of these C files never changes before installing them
      into the shotwell-dbg package. Makes build reproducible.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 17 Apr 2016 22:15:57 +0200

shotwell (0.22.0-4) unstable; urgency=medium

  * New debian/patches/0100-ios8.patch (Closes: #792016):
    - Quick and dirty patch to get iOS 8 devices ready to download files.
      Download from https://bugzilla.gnome.org/show_bug.cgi?id=742295#c22.
      Thanks to Obsidian.
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Change Vcs-* to secure uri.
  * debian/watch: Bump Version to 4 (no changes required).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 22 Feb 2016 06:43:14 +0100

shotwell (0.22.0-3) unstable; urgency=medium

  * debian/rules:
    - Touch temporary C files with the timestamp of
      debian/changelog to make the build reproducible.
  * Verify TLS certificates (Closes: #807110):
    - Cherry-pick patches from upstream in debian/patches:
      + 0500-Port-to-webkit2gtk-40.patch
      + 0501-Dont-pack-webview-into-a-scrolled-window.patch


=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gnome-doc-utils,
 itstool,
 libexif-dev (>= 0.6.16),
 libgee-0.8-dev (>= 0.10),
 libgexiv2-dev (>= 0.4.90),
 libglib2.0-dev (>= 2.30.0),
 libgphoto2-dev (>= 2.5.4),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer1.0-dev (>= 1.0.0),
 libgtk-3-dev (>= 3.6.0),
 libgudev-1.0-dev (>= 145),
 libicu-dev,
 libjson-glib-dev,
 libraw-dev (>= 0.14),
 librest-dev (>= 0.7),
 libsoup2.4-dev (>= 2.26.0),
 libsqlite3-dev (>= 3.5.9),
 libwebkit2gtk-4.0-dev,
 libxml2 (>= 2.6.32),
 m4,
 valac (>= 0.22.0)
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Shotwell
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/

Package: shotwell
Architecture: linux-any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
 shotwell-common (= ${source:Version}),
 dconf-cli,
 dbus-x11 | default-dbus-session-bus | dbus-session-bus,
 librsvg2-common
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.
 .
 This package provides image files and documentation for Shotwell.

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.
 .
 This package contains the debugging symbols for Shotwell.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

B_DATE:=$(shell LC_ALL=C date --utc -d "$(CHDATE)")

%:
	dh $@  --parallel

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib --disable-schemas-compile 

override_dh_install:
	dh_install
	# Touch the generated C files with mtime of debian/changelog,
	#  find -type f -name '*.c' -exec touch -r $(CURDIR)/debian/changelog {} \;
	# then install these C files required for debugging into the shotwell-dbg package.
	mkdir -p debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source
	find -type f -name '*.c' -exec cp --parent '{}' debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source/ ';'
	cd debian/shotwell-dbg/usr/share/doc/shotwell-dbg && \
	tar --mode=go=rX,u+rw,a-s --mtime="$(B_DATE)" -cJf temp-source.tar.xz temp-source
	rm -fr debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source
	# Remove unwanted la files
	rm -f debian/shotwell/usr/lib/shotwell/plugins/builtin/*.la
	rm -f debian/shotwell/usr/lib/*.la

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=shotwell-dbg

override_dh_compress:
	dh_compress -X.tar.xz

override_dh_installman:
	dh_installman
	rm -fr debian/shotwell-common/usr/share/man

## shotwell 0.25.1

=== debian/changelog ===
shotwell (0.25.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix issue with indexes on PhotoTable (Closes: #777499).
  * debian/patches:
    - Refresh 0100-ios8.patch.
  * debian/control:
    - Add libgcr-3-dev to Build-Depends.
    - Bump libgexiv2-dev B-D minimum version to 0.10.4.
    - Bump libglib2.0-dev B-D minimum version to 2.40.
    - Bump libgtk-3-dev B-D minimum version to 3.14.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 25 Nov 2016 04:24:55 +0100

## shotwell 0.25.4+really0.24.5

=== debian/changelog ===
shotwell (0.25.4+really0.24.5-0.1) unstable; urgency=medium

  * Revert to last stable release 0.24.5 (Closes: #850149).
    (Necessary, since unblock request #854912 for 0.25.4-0.1 was turned down.)

 -- Richard B. Kreckel <kreckel@debian.org>  Tue, 14 Feb 2017 18:47:24 +0100

shotwell (0.25.4-0.1) unstable; urgency=medium

  * New upstream release.
    - Many UI fixes (Closes: #849688).

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 05 Jan 2017 18:43:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  desktop-file-utils,
  gnome-doc-utils,
  itstool,
  libexif-dev (>= 0.6.16),
+ libgcr-3-dev,
  libgee-0.8-dev (>= 0.10),
- libgexiv2-dev (>= 0.4.90),
- libglib2.0-dev (>= 2.30.0),
+ libgexiv2-dev (>= 0.10.4),
+ libglib2.0-dev (>= 2.40),
  libgphoto2-dev (>= 2.5.4),
  libgstreamer-plugins-base1.0-dev (>= 1.0.0),
  libgstreamer1.0-dev (>= 1.0.0),
- libgtk-3-dev (>= 3.6.0),
+ libgtk-3-dev (>= 3.14),
  libgudev-1.0-dev (>= 145),
  libicu-dev,
  libjson-glib-dev,
@@ -40,7 +39,7 @@
  ${misc:Depends},
  shotwell-common (= ${source:Version}),
  dconf-cli,
- dbus-x11 | default-dbus-session-bus | dbus-session-bus,
+ default-dbus-session-bus | dbus-session-bus,
  librsvg2-common
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 B_DATE:=$(shell LC_ALL=C date --utc -d "$(CHDATE)")
 
 %:
-	dh $@  --parallel
+	dh $@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --libexec=/usr/lib --disable-schemas-compile

=== debian/watch ===
version=4
http://ftp.gnome.org/pub/gnome/sources/shotwell/([\d\.]+)/shotwell-([\d\.]+)\.tar\.xz

## shotwell 0.26.3

=== debian/changelog ===
shotwell (0.26.3-1ubuntu1) artful; urgency=medium

  * Sync with Debian git packaging (LP: #1710270). Remaining changes:
    - debian/control, debian/rules:
      + Build-depend on and run dh-translations
      + Build with Unity support.
      + Build-Depends on libunity-dev.
      + Build with scour for SVG optimization.
      + Build-Depends on python-scour.
    - clean out thumbnailer hacks, that's not user friendly and not
      something that should be recommended doing
    - Don't clutter up debian/ with old, disabled patches
  * Drop Ubuntu's autopkgtest since the required umockdev data hasn't been
    updated for 5 months.
  * Fix Breaks/Replaces for file move
  * Add 0001-appstream.patch and modify shotwell.install:
    - Fix install of appstream metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 22 Sep 2017 17:26:18 -0400

shotwell (0.26.3-1) unstable; urgency=medium

  * New upstream release (Closes: #855681, Closes: #841859).
    - debian/control: Add new appstream-util, libappstream-glib-dev and
      libgdata-dev to Build-Depends.
    - debian/shotwell.install: Drop now empty directory usr/share/appdata.
  * New README.source to explain the branching model used.
  * Use the automatic debug symbol packages:
    - Remove shotwell-dbg section from debian/control.
    - Remove override_dh_strip, override_dh_compress and some lines
      on dh_install from debian/rules.
    - Remove debian/shotwell-dbg.README.Debian.
  * Use the upstream ChangeLog as changelog and add NEWS to docs.
  * Remove debian/shotwell.1 to use the upstream man page.
  * Don't install man page at shotwell-common.
  * Remove unnecessary debian/menu.
  * Some packaging improvements (Closes:# 856708):
    - Move .desktop and appstream metadata from shotwell-common to shotwell.
    - debian/rules:
      + Use dh_auto_configure instead of ./configure.
      + Update rm paths for multiarch.
      + Don't install the .a file either.
    - Remove build-depend m4 since debhelper version 10 use autoconf.
    - Thanks to Jeremy Bicha <jbicha@ubuntu.com>
  * debian/watch:
    Rewrite to find only stable releases.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 13 Aug 2017 16:34:08 +0200

shotwell (0.25.4-1) unstable; urgency=medium

  * New upstream release (Closes: #849688, #851711).
  * debian/copyright:
    - Update copyright years for 2017.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 03 Feb 2017 14:23:16 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 appstream-util,
 debhelper (>= 10),
 desktop-file-utils,
 dh-translations,
 gnome-doc-utils,
 itstool,
 libappstream-glib-dev,
 libexif-dev (>= 0.6.16),
 libgcr-3-dev,
 libgdata-dev,
 libgee-0.8-dev (>= 0.10),
 libgexiv2-dev (>= 0.10.4),
 libglib2.0-dev (>= 2.40),
 libgphoto2-dev (>= 2.5.4),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer1.0-dev (>= 1.0.0),
 libgtk-3-dev (>= 3.14),
 libgudev-1.0-dev (>= 145),
 libicu-dev,
 libjson-glib-dev,
 libraw-dev (>= 0.14),
 librest-dev (>= 0.7),
 libsoup2.4-dev (>= 2.26.0),
 libsqlite3-dev (>= 3.5.9),
 libunity-dev,
 libwebkit2gtk-4.0-dev,
 libxml2 (>= 2.6.32),
 python-scour,
 valac (>= 0.22.0)
Standards-Version: 4.0.0
Homepage: https://wiki.gnome.org/Apps/Shotwell
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/

Package: shotwell
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 shotwell-common (= ${source:Version}),
 dconf-cli,
 default-dbus-session-bus | dbus-session-bus,
 librsvg2-common
Breaks: shotwell-common (<< 0.26.3-1)
Replaces: shotwell-common (<< 0.26.3-1)
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.26.2-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.
 .
 This package provides image files and documentation for Shotwell.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

B_DATE:=$(shell LC_ALL=C date --utc -d "$(CHDATE)")

%:
	dh $@ --with scour,translations

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		--libexec=/usr/lib \
		--disable-schemas-compile \
		--enable-unity-support

override_dh_install:
	dh_install
	# Remove unwanted la files
	rm -f debian/shotwell/usr/lib/*/shotwell/plugins/builtin/*.la
	rm -f debian/shotwell/usr/lib/*/*shotwell*.a
	rm -f debian/shotwell/usr/lib/*/*shotwell*.la

## shotwell 0.26.4

=== debian/changelog ===
shotwell (0.26.4-1) unstable; urgency=medium

  * New upstream release (Closes: #855681, #841859, #870027):
    - debian/control: Add new appstream-util, libappstream-glib-dev and
      libgdata-dev to Build-Depends.
    - debian/shotwell.install: Drop now empty directory usr/share/appdata.
  * New README.source to explain the branching model used.
  * Use the automatic debug symbol packages:
    - Remove shotwell-dbg section from debian/control.
    - Remove override_dh_strip, override_dh_compress and some lines
      on dh_install from debian/rules.
    - Remove debian/shotwell-dbg.README.Debian.
  * Use the upstream ChangeLog as changelog and add NEWS to docs.
  * Remove debian/shotwell.1 to use the upstream man page.
  * Don't install man page at shotwell-common.
  * Remove unnecessary debian/menu.
  * Some packaging improvements (Closes:# 856708):
    - Move .desktop and appstream metadata from shotwell-common to shotwell.
    - debian/rules:
      + Use dh_auto_configure instead of ./configure.
      + Update rm paths for multiarch.
      + Don't install the .a file either.
    - Remove build-depend m4 since debhelper version 10 use autoconf.
    - Thanks to Jeremy Bicha <jbicha@ubuntu.com>
  * debian/changelog:
    - Remove trailing white spaces.
  * debian/watch:
    Rewrite to find only stable releases.
  * Declare compliance with Debian Policy 4.1.2.0 (No changes needed).
  * Change to my new email-address:
    - debian/control,
    - debian/copyright.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 15 Dec 2017 11:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
  debhelper (>= 10),
  desktop-file-utils,
- dh-translations,
  gnome-doc-utils,
  itstool,
  libappstream-glib-dev,
@@ -28,12 +26,10 @@
  librest-dev (>= 0.7),
  libsoup2.4-dev (>= 2.26.0),
  libsqlite3-dev (>= 3.5.9),
- libunity-dev,
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
- python-scour,
  valac (>= 0.22.0)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2.0
 Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/
@@ -47,8 +43,7 @@
  dconf-cli,
  default-dbus-session-bus | dbus-session-bus,
  librsvg2-common
-Breaks: shotwell-common (<< 0.26.3-1)
-Replaces: shotwell-common (<< 0.26.3-1)
+Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos, pictures, images and videos

## shotwell 0.28.2

=== meson_options.txt ===
option('enable-unity-support', type: 'boolean', value : 'false', description: 'Enable Ubuntu Unity support')
option('publishers', type: 'string', value : 'facebook,flickr,picasa,piwigo,youtube,gallery3,tumblr', description: 'The list of publishing plugins to build')
option('enable-extra-plugins', type : 'boolean', value : 'true', description: 'Enable building and installation of extra publishing plugins')
option('trace', type: 'string', value : '', description: 'Enable various trace  options (available: dtors, import, md5, metadata-writer, monitoring, pixbuf-cache, reflow, reflow-items)')
option('measure', type: 'string', value : '', description : 'Enable various timing measurements(available : enhance, import, pipeline, view-filtering, thumbnail-cache)')
option('disable-dupe-detection', type: 'boolean', value : 'false', description: 'Disable duplicate checks')
option('install-apport-hook', type : 'boolean', value : 'true', description: 'Enable Ubuntu apport hook')

=== debian/changelog ===
shotwell (0.28.2-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Apr 2018 10:08:45 +0000

shotwell (0.28.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
    - Includes the previous patch.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Mar 2018 11:41:35 +0000

shotwell (0.28.0-0ubuntu2) bionic; urgency=medium

  * 0101-Revert-publishers-Properly-escape-urlencoded-payload.patch
    - Cherry-pick from upstrem bugfix release 0.28.1 (LP: #1759151)
      "Unbreak all publishers"

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 27 Mar 2018 10:58:02 +0300

shotwell (0.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 20:34:14 -0400

shotwell (0.27.4-0ubuntu1) bionic; urgency=medium

  * Sync with Debian (LP: #1752928). Remaining changes:
    - debian/control, debian/rules:
      + Build-depend on gnome-pkg-tools and run --with gnome for
        dh_translations
      + Build with Unity support.
      + Build-Depends on libunity-dev.
    - clean out thumbnailer hacks, that's not user friendly and not
      something that should be recommended doing
    - Don't clutter up debian/ with old, disabled patches
    - shotwell.install: Install AppStream metadata
    - Fix Breaks/Replaces for file move
  * Drop 0001-appstream.patch: Applied upstream
  * New upstream development release (LP: #1752928)
  * Refresh 0100-ios8.patch and rebase it off latest proposed version
  * Build with meson. Clean up debian/rules.
  * debian/rules: Add workaround for dh_translations issue.
  * Bump debhelper compat to 11.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Mar 2018 20:49:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
- debhelper (>= 10),
+ debhelper (>= 11.1.3),
  desktop-file-utils,
- gnome-doc-utils,
+ gnome-pkg-tools,
  itstool,
  libappstream-glib-dev,
  libexif-dev (>= 0.6.16),
@@ -26,8 +27,10 @@
  librest-dev (>= 0.7),
  libsoup2.4-dev (>= 2.26.0),
  libsqlite3-dev (>= 3.5.9),
+ libunity-dev,
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
+ meson,
  valac (>= 0.22.0)
 Standards-Version: 4.1.2.0
 Homepage: https://wiki.gnome.org/Apps/Shotwell
@@ -39,11 +42,12 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- shotwell-common (= ${source:Version}),
+ shotwell-common (>= ${source:Version}),
  dconf-cli,
  default-dbus-session-bus | dbus-session-bus,
  librsvg2-common
-Replaces: shotwell-common (<< 0.26.2-1)
+Breaks: shotwell-common (<< 0.26.3-1)
+Replaces: shotwell-common (<< 0.26.3-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos, pictures, images and videos
@@ -58,7 +62,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: shotwell
-Breaks: shotwell (<< 0.26.2-1)
 Description: digital photo organizer - common files
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos, pictures, images and videos

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexec=/usr/lib \
		-Denable-unity-support=true \
		-Dinstall-apport-hook=true

override_dh_gnome_clean:
	dh_gnome_clean --no-control

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) shotwell-pot
	dh_translations

## shotwell 0.28.4

=== debian/changelog ===
shotwell (0.28.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 04 Aug 2018 14:40:03 +0200

shotwell (0.28.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patches:
    - 0100-ios8.patch
  * New debian/patches/0105-gitversion.patch to fix FTBFS.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Change debhelper version in debian/control to >= 11.
  * debian/control:
    - Switch Vcs-* to new location.
  * debian/copyright:
    - Use secure copyright format URI.
    - Bump years to 2018.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Remove unneeded comments from shotwell.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Jul 2018 14:34:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
- debhelper (>= 11.1.3),
+ debhelper (>= 11),
  desktop-file-utils,
- gnome-pkg-tools,
+ gnome-doc-utils,
  itstool,
  libappstream-glib-dev,
  libexif-dev (>= 0.6.16),
@@ -27,27 +26,24 @@
  librest-dev (>= 0.7),
  libsoup2.4-dev (>= 2.26.0),
  libsqlite3-dev (>= 3.5.9),
- libunity-dev,
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
- meson,
  valac (>= 0.22.0)
-Standards-Version: 4.1.2.0
+Standards-Version: 4.1.5
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/shotwell.git/
+Vcs-Git: git://jff.email/opt/git/shotwell.git
+Vcs-Browser: https://jff.email/cgit/shotwell.git
 
 Package: shotwell
 Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- shotwell-common (>= ${source:Version}),
+ shotwell-common (= ${source:Version}),
  dconf-cli,
  default-dbus-session-bus | dbus-session-bus,
  librsvg2-common
-Breaks: shotwell-common (<< 0.26.3-1)
-Replaces: shotwell-common (<< 0.26.3-1)
+Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos, pictures, images and videos
@@ -62,6 +58,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: shotwell
+Breaks: shotwell (<< 0.26.2-1)
 Description: digital photo organizer - common files
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos, pictures, images and videos

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

B_DATE:=$(shell LC_ALL=C date --utc -d "$(CHDATE)")

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		--libexec=/usr/lib \
		--disable-schemas-compile

override_dh_install:
	dh_install
	# Remove unwanted la files
	rm -f debian/shotwell/usr/lib/*/shotwell/plugins/builtin/*.la
	rm -f debian/shotwell/usr/lib/*/*shotwell*.a
	rm -f debian/shotwell/usr/lib/*/*shotwell*.la

## shotwell 0.30.1

=== meson_options.txt ===
option('unity-support', type: 'boolean', value : 'false', description: 'Enable Ubuntu Unity support')
option('publishers', type: 'string', value : 'flickr,picasa,piwigo,youtube,gallery3,tumblr', description: 'The list of publishing plugins to build')
option('extra-plugins', type : 'boolean', value : 'true', description: 'Enable building and installation of extra publishing plugins')
option('trace', type: 'string', value : '', description: 'Enable various trace  options (available: dtors, import, md5, metadata-writer, monitoring, pixbuf-cache, reflow, reflow-items)')
option('measure', type: 'string', value : '', description : 'Enable various timing measurements(available : enhance, import, pipeline, view-filtering, thumbnail-cache)')
option('dupe-detection', type: 'boolean', value : 'true', description: 'Disable duplicate checks')
option('udev', type: 'boolean', value : 'true', description: 'Enable or disable udev support')
option('install-apport-hook', type : 'boolean', value : 'true', description: 'Enable Ubuntu apport hook')
option('face-detection', type:'boolean', value:false)

=== debian/changelog ===
shotwell (0.30.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to buildsystem meson:
      + debian/control: Add gnome-pkg-tools, meson and ninja-build to
        Build-Depends.
      + debian/rules: Add --buildsystem=meson --with gnome,
        remove override_dh_auto_configure and add override_dh_gnome_clean.
    - debian/shotwell.docs: change README to README.md.
    - Refresh debian/copyright.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * debian/rules: remove unused calculation of B_DATE.
  * debian/shotwell.install: Add usr/share/metainfo (Closes: #906143).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 30 Sep 2018 19:02:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper (>= 11),
  desktop-file-utils,
  gnome-doc-utils,
+ gnome-pkg-tools,
  itstool,
  libappstream-glib-dev,
  libexif-dev (>= 0.6.16),
@@ -28,8 +29,10 @@
  libsqlite3-dev (>= 3.5.9),
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
+ meson,
+ ninja-build,
  valac (>= 0.22.0)
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Git: git://jff.email/opt/git/shotwell.git
 Vcs-Browser: https://jff.email/cgit/shotwell.git

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,11 @@
 
 export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 
-B_DATE:=$(shell LC_ALL=C date --utc -d "$(CHDATE)")
+%:
+	dh $@  --buildsystem=meson --with gnome
 
-%:
-	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr \
-		--libexec=/usr/lib \
-		--disable-schemas-compile
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
 
 override_dh_install:
 	dh_install

## shotwell 0.30.2

=== debian/changelog ===
shotwell (0.30.2-0.1~mx17+1) mx; urgency=medium

  * Import new upstream 0.30.2 release.
  * Bump up the minimum version of valac required to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Mar 2019 12:20:39 -0700

shotwell (0.30.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add minimum required 0.43.0 version for meson build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Oct 2018 18:27:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
  debhelper (>= 11),
@@ -29,9 +30,9 @@
  libsqlite3-dev (>= 3.5.9),
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
- meson,
+ meson (>= 0.43.0),
  ninja-build,
- valac (>= 0.22.0)
+ valac (>= 0.40.0)
 Standards-Version: 4.2.1
 Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Git: git://jff.email/opt/git/shotwell.git

## shotwell 0.30.7

=== debian/changelog ===
shotwell (0.30.7-2) unstable; urgency=medium

  * debian/control: Remove outdated gnome-doc-utils from Build-Depends 
    (Closes: #945141, #945294).
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 28 Dec 2019 14:09:00 +0100

shotwell (0.30.7-1) unstable; urgency=medium

  * New upstream release:
    - New debian/patches/0115-fix_meson_build.patch to fix FTBFS.
    - debian/control: Add cmake to Build-Depends.
  * Declare compliance with Debian Policy 4.4.1 (No changes needed).
  * debian/control:
    - Add Rules-Requires-Root: binary-targets.
  * Remove unused patches.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 07 Oct 2019 16:38:02 +0200

shotwell (0.30.5-1) unstable; urgency=medium

  * New upstream release.
    - Remove debian/patches/0110-fix_GoogleAuthenticator.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 15 Aug 2019 11:29:40 +0200

shotwell (0.30.4-2) unstable; urgency=medium

  * Fix GoogleAuthenticator error handling (Closes: #934723):
    - New debian/patches/0110-fix_GoogleAuthenticator.patch cherry-picked
      from upstream.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 14 Aug 2019 12:00:37 +0200

shotwell (0.30.4-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * Add package-name-doesnt-match-sonames to lintian-overrides.
  * Refresh debian/copyright.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Change debhelper version in debian/control to >= 12.
  * debian/copyright: Fix typo.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 12 Jul 2019 11:05:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
- debhelper (>= 11),
+ cmake,
+ debhelper-compat (= 12),
  desktop-file-utils,
- gnome-doc-utils,
  gnome-pkg-tools,
  itstool,
  libappstream-glib-dev,
@@ -30,10 +29,11 @@
  libsqlite3-dev (>= 3.5.9),
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
- meson (>= 0.43.0),
+ meson,
  ninja-build,
- valac (>= 0.40.0)
-Standards-Version: 4.2.1
+ valac (>= 0.46.0)
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Git: git://jff.email/opt/git/shotwell.git
 Vcs-Browser: https://jff.email/cgit/shotwell.git

## shotwell 0.30.8

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 option('unity-support', type: 'boolean', value : 'false', description: 'Enable Ubuntu Unity support')
-option('publishers', type: 'string', value : 'flickr,picasa,piwigo,youtube,gallery3,tumblr', description: 'The list of publishing plugins to build')
+option('publishers', type: 'string', value : 'flickr,googlephotos,piwigo,youtube,gallery3,tumblr', description: 'The list of publishing plugins to build')
 option('extra-plugins', type : 'boolean', value : 'true', description: 'Enable building and installation of extra publishing plugins')
 option('trace', type: 'string', value : '', description: 'Enable various trace  options (available: dtors, import, md5, metadata-writer, monitoring, pixbuf-cache, reflow, reflow-items)')
 option('measure', type: 'string', value : '', description : 'Enable various timing measurements(available : enhance, import, pipeline, view-filtering, thumbnail-cache)')

=== debian/changelog ===
shotwell (0.30.8-0ubuntu2) focal; urgency=medium

  * debian/patches/git_warnings_build.patch:
    - backport an upstream patch to not fail the build on warning,
      fixes the build with the new vala serie

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Mar 2020 12:30:37 +0100

shotwell (0.30.8-0ubuntu1) focal; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Mar 2020 11:37:00 +0100

shotwell (0.30.7-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 12:37:09 +0200

shotwell (0.30.6-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 16:02:36 +0200

shotwell (0.30.5-0ubuntu1) eoan; urgency=medium

  * New upstream version
  * Drop upstreamed patch: debian/patches/git_glib_bindingflags.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 14 Aug 2019 13:48:18 +0200

shotwell (0.30.2-0ubuntu2) disco; urgency=medium

  * debian/patches/git_glib_bindingflags.patch
    - Fix references to GLib.BindingFlags (LP: #1823437)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 09 Apr 2019 10:11:48 -0400

shotwell (0.30.2-0ubuntu1) disco; urgency=medium

  * New upstream version
    - Fix issues with google and flickr not being able to log in
      (lp: #1620336)
  * debian/patches/git_notification_segfault.patch:
    - removed, that change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Feb 2019 17:25:41 +0100

shotwell (0.30.1-0ubuntu5) disco; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Nov 2018 16:37:50 -0500

shotwell (0.30.1-0ubuntu4) disco; urgency=medium

  * debian/patches/git_notification_segfault.patch:
    - direct: Fix crash when dismissing modifications (lp: #1723181)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2018 15:39:16 +0100

shotwell (0.30.1-0ubuntu2) cosmic; urgency=medium

  * No change rebuild for launchpad import

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Oct 2018 11:26:09 +0200

shotwell (0.30.1-0ubuntu1) cosmic; urgency=medium

  * New bugfixes version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2018 17:19:08 +0200

shotwell (0.30.0-0ubuntu1) cosmic; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Sep 2018 11:35:07 +0200

shotwell (0.29.91-0ubuntu1) cosmic; urgency=medium

  * New upstream version (lp: #1787022):
    - Fix Slideshow settings dialog (lp: #1772878)
  * debian/control: updated gtk requirement
  * debian/patches/0105-gitversion.patch:
    - remove buggy debian change, the define is correct
  * debian/shotwell.docs:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Aug 2018 11:03:07 +0200

shotwell (0.28.4-1ubuntu1) cosmic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Don't clutter up debian/ with old, disabled patches
    - Clean up rules
    - Install Appstream metadata
    - Build with meson
    - Build with gnome-pkg-tools
    - Build with Unity support
    - clean out thumbnailer hacks:
      that's not user friendly and not something we should recommend

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 14 Aug 2018 15:52:14 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexec=/usr/lib \
		-Denable-unity-support=true \
		-Dinstall-apport-hook=true

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## shotwell 0.30.9

=== debian/changelog ===
shotwell (0.30.9-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Fix YouTube OAuth scope
    - Translation updates

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 May 2020 10:30:23 -0700

shotwell (0.30.8-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix keyboard shortcut for adding tags
    - Fix Tumblr publishing
    - Fix month name translation in date/time chooser
    - Translations updated

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Feb 2020 15:17:10 -0800

shotwell (0.30.7-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 23 Aug 2019 15:55:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
- cmake,
- debhelper-compat (= 12),
+ debhelper (>= 11),
  desktop-file-utils,
+ gnome-doc-utils,
  gnome-pkg-tools,
  itstool,
  libappstream-glib-dev,
@@ -29,11 +30,10 @@
  libsqlite3-dev (>= 3.5.9),
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
- meson,
+ meson (>= 0.43.0),
  ninja-build,
- valac (>= 0.46.0)
-Standards-Version: 4.4.1
-Rules-Requires-Root: binary-targets
+ valac (>= 0.22.0)
+Standards-Version: 4.4.0
 Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Git: git://jff.email/opt/git/shotwell.git
 Vcs-Browser: https://jff.email/cgit/shotwell.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@  --buildsystem=meson --with gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_install:
	dh_install
	# Remove unwanted la files
	rm -f debian/shotwell/usr/lib/*/shotwell/plugins/builtin/*.la
	rm -f debian/shotwell/usr/lib/*/*shotwell*.a
	rm -f debian/shotwell/usr/lib/*/*shotwell*.la

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## shotwell 0.30.10

=== debian/changelog ===
shotwell (0.30.10-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.
  * Bump libgtk-3-dev BD to ≥ 3.22.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 31 May 2020 18:57:58 -0700

shotwell (0.30.10-1) unstable; urgency=medium

  * New upstream release.
    - Remove debian/patches/0115-fix_meson_build.patch.
  * debian/shotwell.manpages:
    - Install from debian/tmp to make dh_missing happy.
  * debian/shotwell.install:
    - Install from debin/tmp to make dh_missing happy.
  * debian/control:
    - Switch to debhelper-compat level 13.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 26 May 2020 11:50:55 +0200

shotwell (0.30.8-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * debian/copyright:
    - Add year 2020 for debian/*.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 11 Apr 2020 12:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
- debhelper (>= 11),
+ cmake,
+ debhelper-compat (= 12),
  desktop-file-utils,
- gnome-doc-utils,
  gnome-pkg-tools,
  itstool,
  libappstream-glib-dev,
@@ -20,7 +20,7 @@
  libgphoto2-dev (>= 2.5.4),
  libgstreamer-plugins-base1.0-dev (>= 1.0.0),
  libgstreamer1.0-dev (>= 1.0.0),
- libgtk-3-dev (>= 3.14),
+ libgtk-3-dev (>= 3.22),
  libgudev-1.0-dev (>= 145),
  libicu-dev,
  libjson-glib-dev,
@@ -30,10 +30,11 @@
  libsqlite3-dev (>= 3.5.9),
  libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
- meson (>= 0.43.0),
+ meson,
  ninja-build,
- valac (>= 0.22.0)
-Standards-Version: 4.4.0
+ valac  (>= 0.46)
+Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Git: git://jff.email/opt/git/shotwell.git
 Vcs-Browser: https://jff.email/cgit/shotwell.git

## shotwell 0.30.11

=== meson_options.txt ===
--- 
+++ 
@@ -6,4 +6,5 @@
 option('dupe-detection', type: 'boolean', value : 'true', description: 'Disable duplicate checks')
 option('udev', type: 'boolean', value : 'true', description: 'Enable or disable udev support')
 option('install-apport-hook', type : 'boolean', value : 'true', description: 'Enable Ubuntu apport hook')
-option('face-detection', type:'boolean', value:false)
+option('face-detection', type:'boolean', value:false, description: 'Enable face detection and recognition features')
+option('fatal_warnings', type:'boolean', value:false)

=== debian/changelog ===
shotwell (0.30.11-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 Dec 2020 19:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  desktop-file-utils,
  gnome-pkg-tools,
  itstool,
@@ -20,7 +19,7 @@
  libgphoto2-dev (>= 2.5.4),
  libgstreamer-plugins-base1.0-dev (>= 1.0.0),
  libgstreamer1.0-dev (>= 1.0.0),
- libgtk-3-dev (>= 3.22),
+ libgtk-3-dev (>= 3.14),
  libgudev-1.0-dev (>= 145),
  libicu-dev,
  libjson-glib-dev,
@@ -32,7 +31,7 @@
  libxml2 (>= 2.6.32),
  meson,
  ninja-build,
- valac  (>= 0.46)
+ valac (>= 0.46.0)
 Standards-Version: 4.5.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
